'use strict';

var _match;

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var fs = require('fs');
var path = require('path');
var argv = require('yargs').argv;
var shelljs = require('shelljs');

var _require = require('match-when-es5'),
    match = _require.match,
    when = _require.when;

var server = require('./server');
var build = require('./build');

var pkginfo = JSON.parse(fs.readFileSync(path.resolve(__dirname, '../package.json'), 'utf8'));

var displayHelp = function displayHelp() {
  return console.log('Usage:  lolla COMMAND\n\nOptions: \n  --ignore list   Ignore packages to dev or build, example: "pkg1,pkg2"\n  --no-webpack    Do not use webpack to bundle, use "babel src -d ." instead\n\nCommands:\n  dev       Start a dev server\n  build     Build packages\n  publish   Publish packages (dev)');
};

var displayVersion = function displayVersion() {
  return console.log('lolla version: ' + pkginfo.version);
};

match(argv._[0], (_match = {}, _defineProperty(_match, when('workspace'), function () {}), _defineProperty(_match, when('dev'), server.start), _defineProperty(_match, when('build'), build), _defineProperty(_match, when('publish'), function () {
  var next = argv.next;

  var targetPackage = argv._[1];
  if (targetPackage) {
    shelljs.cd('packages/' + targetPackage);
    shelljs.exec('rm -f *.js');
    shelljs.exec('babel src -d .');
    shelljs.exec('npm publish --access=public ' + (next ? '--tag=next' : ''));
    shelljs.exec('rm -f *.js');
  }
}), _defineProperty(_match, when('version'), displayVersion), _defineProperty(_match, when('help'), displayHelp), _defineProperty(_match, when(), displayHelp), _match));