'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _omit = require('lodash/omit');

var _omit2 = _interopRequireDefault(_omit);

var _createWebpackConfig = require('./createWebpackConfig');

var _createWebpackConfig2 = _interopRequireDefault(_createWebpackConfig);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// console.log(`reading ${process.cwd()}/lolla.json`)

var createConfigsFromLolla = function createConfigsFromLolla() {
  var lollaFile = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : process.cwd() + '/lolla.json';
  var compress = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;

  try {
    var lollaJSON = JSON.parse(_fs2.default.readFileSync(lollaFile, 'utf-8'));
    var configs = [];
    lollaJSON.packages.forEach(function (pkg) {
      if (pkg.ignore) return console.log('ignore package: ' + pkg.context);
      try {
        configs.push((0, _createWebpackConfig2.default)(Object.assign({
          __DEV__: process.env.NODE_ENV !== 'production',
          compress: compress
        }, (0, _omit2.default)(lollaJSON, ['packages']), pkg, {
          context: _path2.default.resolve(process.cwd(), pkg.context)
        })));
      } catch (e) {
        console.log('valid fail, context\': ' + pkg.context);
        console.log(e);
      }
    });
    return configs;
  } catch (e) {
    console.log('Could not find lolla.json or format error');
    console.log(e);
    return [];
  }
};

exports.default = createConfigsFromLolla;