'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _express = require('express');

var _express2 = _interopRequireDefault(_express);

var _webpack = require('webpack');

var _webpack2 = _interopRequireDefault(_webpack);

var _webpackDevMiddleware = require('webpack-dev-middleware');

var _webpackDevMiddleware2 = _interopRequireDefault(_webpackDevMiddleware);

var _webpackHotMiddleware = require('webpack-hot-middleware');

var _webpackHotMiddleware2 = _interopRequireDefault(_webpackHotMiddleware);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var hotMiddlewareScript = 'webpack-hot-middleware/client?path=/__webpack_hmr&timeout=20000&reload=true';

var middleware = function middleware(targets) {
  var app = (0, _express2.default)();
  targets.forEach(function (item) {
    var target = typeof item === 'function' ? item({}) : item;
    Object.keys(target.entry, function (key) {
      target.entry[key].push(hotMiddlewareScript);
    });
    target.devtool = 'inline-source-map';
    if (target.hot) target.plugins.push(new _webpack2.default.HotModuleReplacementPlugin());
    target.plugins.push(new _webpack2.default.NoEmitOnErrorsPlugin());

    target.devServer = {
      hot: true,
      inline: true
    };

    console.log(target.output.publicPath);

    var compiler = (0, _webpack2.default)(target);
    app.use((0, _webpackDevMiddleware2.default)(compiler, {
      publicPath: target.output.publicPath,
      stats: {
        colors: true
      }
    }));
    if (target.hot) app.use((0, _webpackHotMiddleware2.default)(compiler));
  });

  return app;
};

exports.default = middleware;