'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _express = require('express');

var _express2 = _interopRequireDefault(_express);

var _yargs = require('yargs');

var _cors = require('cors');

var _cors2 = _interopRequireDefault(_cors);

var _compression = require('compression');

var _compression2 = _interopRequireDefault(_compression);

var _serveIndex = require('serve-index');

var _serveIndex2 = _interopRequireDefault(_serveIndex);

var _createConfigsFromLolla = require('./createConfigsFromLolla');

var _createConfigsFromLolla2 = _interopRequireDefault(_createConfigsFromLolla);

var _express3 = require('./express');

var _express4 = _interopRequireDefault(_express3);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var start = function start() {
  var app = (0, _express2.default)();
  app.use((0, _cors2.default)());
  app.use((0, _compression2.default)());

  app.use((0, _express4.default)({
    packages: (0, _createConfigsFromLolla2.default)()
  }));

  app.route('*').all(_express2.default.static(process.cwd()), (0, _serveIndex2.default)(process.cwd(), {
    icons: true
  }));

  var port = _yargs.argv.port || process.env.PORT || 9090;

  app.listen(port, function (err) {
    if (err) return console.log(err);
    console.log('webpack:  Listening at http://localhost:' + port);
  });

  console.warn('lolla: you should install loaders in this project directory');
};

exports.default = start;